NewWacht Bench is live — AI-assisted development for Wacht
POST
/settings/email/smtp

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/settings/email/smtp" \  -H "Content-Type: application/json" \  -d '{    "host": "string",    "port": 0,    "username": "string",    "password": "string",    "from_email": "string"  }'
{  "host": "string",  "port": 0,  "username": "string",  "from_email": "string",  "use_tls": true,  "verified": true}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}